###################################################
### chunk number 1: R-opts
###################################################
options(width=34, digits=4)


###################################################
### chunk number 2: startup
###################################################
library(diveMove)


###################################################
### chunk number 3:  eval=FALSE
###################################################
## example(diveMove)


###################################################
### chunk number 4: readin-csv
###################################################
ff <- system.file(file.path("data", "dives.csv"),
package="diveMove")
tdrXcsv <- read.csv(ff)


###################################################
### chunk number 5: create-tdr
###################################################
library(diveMove)
ddtt.str <- paste(tdrXcsv$date, tdrXcsv$time)
ddtt <- strptime(ddtt.str, format="%d/%m/%Y %H:%M:%S")
time.posixct <- as.POSIXct(ddtt, tz="GMT")
tdrX <- createTDR(time=time.posixct, depth=tdrXcsv$depth,
concurrentData=tdrXcsv[, -c(1:3)], dtime=5, file=ff)
## Or a TDRspeed object, since we know we have speed measurements:
tdrX <- createTDR(time=time.posixct, depth=tdrXcsv$depth,
concurrentData=tdrXcsv[, -c(1:3)], dtime=5, file=ff,
speed=TRUE)


###################################################
### chunk number 6: readin-tdr eval=FALSE
###################################################
## tdrX <- readTDR(ff, speed=TRUE)
## plotTDR(tdrX)


###################################################
### chunk number 7: 
###################################################
tdrX <- readTDR(ff, speed=TRUE)
png("plot_tdr.png"); plotTDR(tdrX, interact=FALSE, cex.lab=1.3); dev.off()


###################################################
### chunk number 8:  eval=FALSE
###################################################
## dcalib <- calibrateDepth(tdrX)


###################################################
### chunk number 9:  eval=FALSE
###################################################
## dcalib <- calibrateDepth(tdrX, offset=3)


###################################################
### chunk number 10: zoc
###################################################
dcalib <- calibrateDepth(tdrX, offset=3, wet.thr=70, dry.thr=3610,
dive.thr=4, descent.crit.q=0.1, ascent.crit.q=0.1,
wiggle.tol=0.8)


###################################################
### chunk number 11: plot-gross-activity eval=FALSE
###################################################
## plotTDR(dcalib, concurVars="light", concurVarTitles=c("speed (m/s)", "light"),
## surface=TRUE)


###################################################
### chunk number 12: 
###################################################
png("plot_tdr_calibrate.png", width=380)
plotTDR(dcalib, concurVars="light", concurVarTitles=c("speed (m/s)", "light"),
surface=TRUE, interact=FALSE, cex.lab=1.3)
dev.off()


###################################################
### chunk number 13: plot-dive-activity eval=FALSE
###################################################
## plotTDR(dcalib, diveNo=2:8, labels="dive.phase")


###################################################
### chunk number 14: 
###################################################
png("plot_tdr_dives.png")
plotTDR(dcalib, diveNo=2:8, labels="dive.phase", interact=FALSE,
cex.lab=1.3, depth.lim=c(0, 80))
dev.off()


###################################################
### chunk number 15: extract-dive eval=FALSE
###################################################
## extractDive(dcalib, diveNo=2:8)


###################################################
### chunk number 16: tdr-extract
###################################################
getTDR(dcalib)


###################################################
### chunk number 17: grossact1 eval=FALSE
###################################################
## getGAct(dcalib)


###################################################
### chunk number 18: grossact2 eval=FALSE
###################################################
## getGAct(dcalib, "phase.id")


###################################################
### chunk number 19: diveact-1 eval=FALSE
###################################################
## getDAct(dcalib)


###################################################
### chunk number 20: dphaselab1 eval=FALSE
###################################################
## getDPhaseLab(dcalib)
## getDPhaseLab(dcalib, 20)


###################################################
### chunk number 21: dphaselab2
###################################################
dphases <- getDPhaseLab(dcalib, c(100:300))


###################################################
### chunk number 22: extractdive
###################################################
sealX <- extractDive(dcalib, diveNo=c(100:300))
sealX


###################################################
### chunk number 23: plot-phases eval=FALSE
###################################################
## plotTDR(sealX, phaseCol=dphases)


###################################################
### chunk number 24: 
###################################################
options(width=105)


###################################################
### chunk number 25: dive-summaries
###################################################
tdrXSumm1 <- diveStats(dcalib)
names(tdrXSumm1)
tbudget <- timeBudget(dcalib, ignoreZ=TRUE)
head(tbudget, 4)
trip.labs <- stampDive(dcalib, ignoreZ=TRUE)
tdrXSumm2 <- data.frame(trip.labs, tdrXSumm1)
names(tdrXSumm2)


###################################################
### chunk number 26: 
###################################################
options(width=34, digits=4)


###################################################
### chunk number 27: calibrate-speed eval=FALSE
###################################################
## vcalib <- calibrateSpeed(dcalib, tau=0.1, contour.level=0.1,
## z=1, bad=c(0, 0), cex.pts=0.2)


###################################################
### chunk number 28: 
###################################################
png("speed_calibration.png")
calibrateSpeed(dcalib, tau=0.1, contour.level=0.1,
z=1, bad=c(0, 0), cex.pts=0.2)
dev.off()


